
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= "player_shield"
	actor[cp_model_dir]				= "player"
	actor[cp_model_name]			= "shield"

	actor[cp_actor_type]			= cat_bullet + cat_player

	actor[cp_hit_power]				= -10.0
--	actor[cp_launch_scale_min]		= 75.0

-- leave me
	c_preload_model( actor )
-- leave me

	local seq = { 0.0, 0.1, 0.3 }
	c_set_use_explosion_for( "bye_bye", "shield_exp", exp_no_align, 0.0, -0.9, 2000.0, 2000.0, seq )
	c_add_sound_to_explosion( "shield_exp", "explode", "player-shieldpop" )
	c_add_particle_to_anim( "spin1_d", "mainbone", "player-shield" )
	